<template>
  <!-- 设备分组添加 -->
  <div>
    <el-dialog
      :title="title "
      :visible.sync="showFormDia"
      width="65%"
      :before-close="handleClose"
      custom-class="bbsl-location-dialog" :close-on-click-modal ="false"
      top="8vh"
    >
      <div class="bbsl-scroll-pane">
        <el-form
          class="bbsl-scroll-form-spare"
          ref="formInfo"
          :rules="rules"
          :model="params"
          label-width="150px"
        >
          
              <el-row>
                <el-col :span="8">
                  <el-form-item label="分组名称：" prop="groupName">
                    <el-input
                      maxlength="128"
                      placeholder="请输入分组名称"
                      v-model="params.groupName"
                    ></el-input>
                  </el-form-item>
                </el-col>
                <el-col :span="8">
                  <el-form-item label="分组标识：" prop="groupCode">
                    <el-input
                      placeholder="请输入分组标识"
                      v-model="params.groupCode"
                      maxlength="32"
                    ></el-input>
                  </el-form-item>
                </el-col>
              </el-row>
              <el-form-item label="备注" prop="memo">
                <el-input
                  maxlength="500"
                  type="textarea"
                  :autosize="{minRows: 3, maxRows: 4}"
                  placeholder="请输入备注内容"
                  v-model="params.memo"
                >
                </el-input>
              </el-form-item>
           
        </el-form>
      </div>
      <span slot="footer" class="dialog-footer">
        <el-button type="primary" @click="handleSave">保 存</el-button>
        <el-button @click="handleClose">取 消</el-button>
      </span>
    </el-dialog>
  </div>
</template>
<script>
import GroupingManage from '@/api/device/GroupingManage.js'
export default {
  name: 'GroupingManageDialog',
  props: {},
  components: {},
  data() {
    return {
      activeCollapse: '1',
      title: '新增',
      showFormDia: false,
      params: {
        groupCode: '',
        groupName: '',
        lastTime: '',
        memo: '',
        pkVal: '',
        sn: 0,
        version: 0,
      },
      rules: {
        groupName: [
          {
            required: true,
            message: '请输入分组名称',
            trigger: 'blur',
          },
        ],
        groupCode: [
          {
            required: true,
            message: '请输入分组标识',
            trigger: 'blur',
          },
        ],
      },
    }
  },
  created() {},
  methods: {
    add() {
      this.showFormDia = true
    },
    handleClose() {
      this.params = {
        groupCode: '',
        groupName: '',
        memo: '',
      }
      this.title = '新增'
      this.showFormDia = false
    },
    handleSave() {
      this.$refs.formInfo.validate((valid) => {
        if (valid) {
          let method
          if (!this.params.id) {
            // 新增
            method = GroupingManage.addGroupData
          }
          if (!!this.params.id) {
            // 修改
            method = GroupingManage.modifyGroupData
          }
          method(this.params, (res) => {
            if (res.state) {
              this.$notify({
                type: 'success',
                message: this.title + '成功',
                duration: 2000,
              })
              this.handleClose()
              this.$emit('loadData')
            } else {
              this.$message.warning(response.message)
            }
          })
        } else{
          this.$notify({
            type: 'warning',
            message: "请完善表单信息！",
            duration: 2000,
          })
        }
      })
    },
    Update(row) {
      // console.log(row)
      this.title = '修改'
      this.showFormDia = true
      this.params.memo = row.memo
      this.params.groupName = row.groupName
      this.params.groupCode = row.groupCode
      this.params.id = row.id
    },
  },
}
</script>
<style lang="scss" scoped>
.redBull {
  border: 1px solid red;
}
.bbsl-scroll-form-spare {
  width: calc(100% - 20px);
  height: calc(95vh - 600px);
  overflow-y: auto;
  padding: 0 10px;
}
</style>
